GIS - Bug #13132

CSR Weather station missing data 28 nd 29 Otober 2021
29/10/2021 16:44 - Giulio Di Anastasio

Status: Resolved Start date: 29/10/2021
Priority: Normal Due date:

Assignee: Philippe May % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

From 5:00 pm on the 28th of October 2021, till 12:00 noon on the 29th of october 2021, the dashboard for CSR Weather station does
not show any data.
Any idea why? Could the data be retrieved somehow?

History

#1 - 29/10/2021 18:23 - Philippe May

Right, i also noticed it.

| have done a major system upgrade last Saturday and Sunday of all the system with its virtual machines (Debian 10 -> 11). There were some minor
issues with data collection that i fixed later on up till Wednesday.

Yesterday's issue with the server (power down) and current heavy rainfall and more power cut add up to the confusion, but hopefully the WS sent
data during through all these events to AmbientWeather, that can be retrieved.

So it's a bit firefighting mode fire.png with rain droplet.png

#2 - 01/11/2021 19:22 - Philippe May
- % Done changed from 0 to 90

- Status changed from New to In Progress

| imported the data from ambientweather.net using the script developed for that purpose, eg:

~/../avgs_device_interfaces/fix_missing_ws_data.py —--wsid 4 --start-date 20211030 --end-date 20211101

Some more technical details:

| noticed that the job (gisaf-sched) that gathers data for these WS got disconnected from ambientweather, without reason. It shouldn't be a problem
since the script auto-reconnects (the protocol is called "socket.io", https://ambientweather.docs.apiary.io/#reference/ambient-realtime-api). But in this
case, it seems that the reconnections failed.

| restarted it in debug mode (identical, but adds logging information about incoming data, misc. signals... for inspection).

But, there's no problem reconnecting in debug mode: such a difference of behaviour is very strange. The easiest explanation at this point is a
temporary issue in ambientweather.net.

So, i just restarted gisaf-sched without debug mode, and i'll check tomorrow.
#3 - 06/11/2021 12:20 - Philippe May
- % Done changed from 90 to 100

- Status changed from In Progress to Resolved

The data acquisition job worked flawlessly in the last few days, closing the issue.

By the way, i updated the dashboard page for weather stations at https:/gis.auroville.org.in/dashboard/Water/Weather%?20stations . Previously, it
used to show only the WS at CSR, it displays on the same graph all the weather stations (3 as of today). There's an exception for Aurogreen (it
doesn't send data at night, and thus the rainfall of the night all stacks up when the WS is reconnected in the morning.)
